## org.freedesktop.DBus.Properties Interface org.freedesktop.DBus.Properties Interface — Properties interface |

## Methods

    Get    (IN  String                interface_name,
            IN  String                property_name,
            OUT Variant               value)
    GetAll (IN  String                interface_name,
            OUT Dict<String,Variant>  properties)
    Set    (IN  String                interface_name,
            IN  String                property_name,
            IN  Variant               value)

## Signals

    EggDBusChanged (String                interface_name,
                    Dict<String,Variant>  changed_properties)

## Description

Many native APIs will have a concept of object properties or attributes. These can be exposed via the org.freedesktop.DBus.Properties interface. The available properties and whether they are writable can be determined by using the org.freedesktop.DBus.Introspectable interface.

## Method Details

### Get ()

    Get (IN  String   interface_name,
         IN  String   property_name,
         OUT Variant  value)

Gets the value of the property with name `property_name` on the interface with name `interface_name`.

`IN String `interface_name``: | The name of the D-Bus interface.
`IN String `property_name``: | The name of the property.
`OUT Variant `value``: | The value of the property.

### GetAll ()

    GetAll (IN  String                interface_name,
            OUT Dict<String,Variant>  properties)

Gets all properties on the interface with the name `interface_name`.

`IN String `interface_name``: | The name of the D-Bus interface.
`OUT Dict<String,Variant> `properties``: | A dictionary containing all the properties.

### Set ()

    Set (IN  String   interface_name,
         IN  String   property_name,
         IN  Variant  value)

Sets the value of the property with name `property_name` on the interface with name `interface_name` to `value`.

`IN String `interface_name``: | The name of the D-Bus interface.
`IN String `property_name``: | The name of the property.
`IN Variant `value``: | The value to set.

## Signal Details

### The "EggDBusChanged" signal

    EggDBusChanged (String                interface_name,
                    Dict<String,Variant>  changed_properties)

Emitted when one or more properties change on an interface. Note: this signal is proprietary to EggDBus; no other D-Bus implementation will emit it.

`String `interface_name``: | The name of the D-Bus interface.
`Dict<String,Variant> `changed_properties``: | A dictionary containing the changed properties.